/************************************************************************
 *   This is part of Dancer, a text relay daemon
 *   Copyright (C) 2002 Andrew Suffield <asuffield@users.sourceforge.net>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#ifdef RFC1459_CLIENT_HANDLERS_H
#else
#define RFC1459_CLIENT_HANDLERS_H

parse_command_func p_pass;
parse_command_func p_user;
parse_command_func p_nick;
parse_command_func p_whois;
parse_command_func p_quit;
parse_command_func p_version;
parse_command_func p_license;
parse_command_func p_info;
parse_command_func p_charset;
parse_command_func p_privmsg;
parse_command_func p_beginauth;
parse_command_func p_cancelauth;
parse_command_func p_acceptauth;
parse_command_func p_authdata;
parse_command_func p_setcred;
parse_command_func p_register;
parse_command_func p_connect;
parse_command_func p_ping;
parse_command_func p_pong;

extern void init_rfc1459_handlers(void);

#endif
