/************************************************************************
 *   This is part of Dancer, a text relay daemon
 *   Copyright (C) 2002 Andrew Suffield <asuffield@users.sourceforge.net>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#include <dancerd/config.h>
#include <dancerd/xmalloc.h>

#include <string.h>

#include "node.h"
#include "handlers.h"
#include "send.h"

void
m_private(struct peer *peer unused_attribute, struct node *origin,
          const struct message *msg)
{
  send_invalid_destination(origin, msg->dest, msg->type);
}

int
f_private(struct peer *peer unused_attribute, struct node *origin unused_attribute, struct node *target unused_attribute,
          const struct message *msg unused_attribute)
{
  return 1;
}
