dnl dancer-c.m4
dnl This file is copyright (C) 2001 Andrew Suffield
dnl                                  <asuffield@users.sourceforge.net>
dnl
dnl This program is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License as published by
dnl the Free Software Foundation; either version 2 of the License, or
dnl (at your option) any later version.
dnl
dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl GNU General Public License for more details.
dnl
dnl You should have received a copy of the GNU General Public License
dnl along with this program; if not, write to the Free Software
dnl Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA

AC_DEFUN(DANCER_LIBDB,[
db4_ldflags=""
AC_CHECK_HEADER(db.h,, AC_MSG_ERROR(Berkeley libdb4 is required))

AC_TRY_COMPILE([
#include <db.h>
int main(void);
],[
DB_ENV *env;
db_env_create(&env, 0);
],db4_ldflags="-ldb-4", AC_MSG_ERROR(Berkeley libdb4 is required))

AC_MSG_CHECKING(db.h version)
AC_TRY_COMPILE([
#include <db.h>
#if DB_VERSION_MAJOR != 4
#error Berkeley libdb major version is not 4
#endif
#if DB_VERSION_MINOR != 1
#error Berkeley libdb minor version is not 1
#endif
int main(void);],,AC_MSG_RESULT(4.1),AC_MSG_ERROR(need version 4.1))
AC_SUBST(db4_ldflags)
])
