/************************************************************************
 *   This is part of Dancer, a text relay daemon
 *   Copyright (C) 2002 Andrew Suffield <asuffield@users.sourceforge.net>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

/** \brief Extra doxygen magic without a home
 * This file is purely to contain some documentation for doxygen to
 * process. It is never included by anything
 */

#error Do not include this file

/** \defgroup main Components of the main binary
 *
 * This group contains all the things that are built into the main
 * binary.
 */

/** \defgroup mainguts Internal components of the main binary
 * \ingroup main
 * This group contains things which are used internally to the main
 * binary; no symbols here are exported for modules to use.
 */

/** \defgroup datastructure General purpose data structures
 * \ingroup main
 * Some data structures are provided by the main dancerd binary. These
 * can, therefore, be used safely between modules without creating ABI
 * issues.
 */
