/************************************************************************
 *   This is part of Dancer, a text relay daemon
 *   Copyright (C) 2002 Andrew Suffield <asuffield@users.sourceforge.net>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#ifdef MAGIC_PRINTF_H
#else
#define MAGIC_PRINTF_H
#include <dancerd/config.h>

/** \file magic_printf.h
 * \brief Add magic to printf format strings
 */

/** \defgroup magic_printf Add magic to printf format strings
 * \ingroup mainguts
 * This adds some new format specifiers to printf strings.
 *
 * @{
 */ 

extern void init_printf(void);

/** @}
 */

#endif
